Bug 187460 - superfluous loading of eepro100 driver
superfluous loading of eepro100 driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
: 187461 187462 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 22:04 EST by Steve Snyder
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2006-03-30 22:04:24 EST
Description of problem:

Both the eepro100 and e100 drivers are being loaded to drive my Intel NIC

Version-Release number of selected component (if applicable):

kernel-smp-2.6.16-1.2069_FC4

How reproducible:

Always

Steps to Reproduce:
1. Install kernel-smp-2.6.16-1.2069_FC4 on system with Intel 82559-based 10/100 
Ethernet controller
2. Reboot to see that the eepro100 and e100 drivers have been loaded 
3.
  
Actual results:

2 drivers loaded; eepro100 is superfluous

Expected results:

Only the e100 driver should be loaded to drive my NIC

Additional info:

# grep 100 /etc/modprobe.conf
alias eth0 e1000
alias eth1 e100

(Don't be misled by the GBit NIC.  It is working fine.  This problem is new to 
the 2.6.16 kernel and is specific to my 100MBit controller.  In previous kernel 
versions only the e100 driver was loaded.)

# /sbin/lspci -v
00:00.0 Host bridge: Intel Corporation 82860 860 (Wombat) Chipset Host Bridge 
(MCH) (rev 04)
        Subsystem: Super Micro Computer Inc: Unknown device 2980
        Flags: bus master, fast devsel, latency 0
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Capabilities: [a0] AGP version 2.0

00:01.0 PCI bridge: Intel Corporation 82850 850 (Tehama) Chipset AGP Bridge (rev 
04) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        Memory behind bridge: f0000000-f2ffffff
        Prefetchable memory behind bridge: e0000000-efffffff

00:02.0 PCI bridge: Intel Corporation 82860 860 (Wombat) Chipset AGP Bridge (rev 
04) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 32
        Bus: primary=00, secondary=02, subordinate=03, sec-latency=0
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: f3000000-f4ffffff
        Prefetchable memory behind bridge: 50000000-500fffff

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 04) (prog-if 00 
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: f5000000-f6ffffff
        Prefetchable memory behind bridge: 50100000-501fffff

00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 04)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 (rev 04) (prog-if 80 
[Master])
        Subsystem: Super Micro Computer Inc: Unknown device 2980
        Flags: bus master, medium devsel, latency 0
        I/O ports at f000 [size=16]

00:1f.2 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #1) (rev 04) 
(prog-if 00 [UHCI])
        Subsystem: Super Micro Computer Inc: Unknown device 2980
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at b000 [size=32]

00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus (rev 04)
        Subsystem: Super Micro Computer Inc: Unknown device 2980
        Flags: medium devsel, IRQ 12
        I/O ports at 0500 [size=16]

00:1f.4 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #2) (rev 04) 
(prog-if 00 [UHCI])
        Subsystem: Super Micro Computer Inc: Unknown device 2980
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at b800 [size=32]

01:00.0 VGA compatible controller: nVidia Corporation NV40 [GeForce 6800 GT] 
(rev a1) (prog-if 00 [VGA])
        Flags: bus master, 66Mhz, medium devsel, latency 248, IRQ 21
        Memory at f0000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (32-bit, prefetchable) [size=256M]
        Memory at f1000000 (32-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at f2000000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

02:1f.0 PCI bridge: Intel Corporation 82806AA PCI64 Hub PCI Bridge (rev 03) 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Bus: primary=02, secondary=03, subordinate=03, sec-latency=32
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: f3000000-f4ffffff
        Prefetchable memory behind bridge: 50000000-500fffff

03:00.0 PIC: Intel Corporation 82806AA PCI64 Hub Advanced Programmable Interrupt 
Controller (rev 01) (prog-if 20 [IO(X)-APIC])
        Subsystem: Intel Corporation 82806AA PCI64 Hub APIC
        Flags: fast devsel
        Memory at f4040000 (32-bit, non-prefetchable) [disabled] [size=4K]

03:02.0 Ethernet controller: Intel Corporation 82544EI Gigabit Ethernet 
Controller (Copper) (rev 02)
        Subsystem: Intel Corporation PRO/1000 XT Server Adapter
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 16
        Memory at f4020000 (32-bit, non-prefetchable) [size=128K]
        Memory at f4000000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at 9000 [size=32]
        [virtual] Expansion ROM at 50000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device.
        Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-

03:04.0 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
        Subsystem: Adaptec: Unknown device 2980
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 16
        BIST result: 00
        I/O ports at 9400 [disabled] [size=256]
        Memory at f4041000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at 50020000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

03:04.1 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
        Subsystem: Adaptec: Unknown device 2980
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 16
        BIST result: 00
        I/O ports at 9800 [disabled] [size=256]
        Memory at f4042000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at 50040000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

04:01.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 [CrystalClear 
SoundFusion Audio Accelerator] (rev 01)
        Subsystem: Voyetra Technologies: Unknown device 3357
        Flags: bus master, slow devsel, latency 32, IRQ 20
        Memory at f6200000 (32-bit, non-prefetchable) [size=4K]
        Memory at f6100000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [40] Power Management version 2

04:04.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 
08)
        Subsystem: Intel Corporation EtherExpress PRO/100+ Server Adapter 
(PILA8470B)
        Flags: bus master, medium devsel, latency 32, IRQ 19
        Memory at f6201000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at a000 [size=64]
        Memory at f6000000 (32-bit, non-prefetchable) [size=1M]
        [virtual] Expansion ROM at 50100000 [disabled] [size=1M]
        Capabilities: [dc] Power Management version 2
Comment 1 Dave Jones 2006-04-04 14:46:35 EDT
*** Bug 187462 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2006-04-04 14:47:24 EDT
*** Bug 187461 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2006-04-04 14:48:22 EDT
whats in your /etc/modprobe.conf ?
Comment 4 Steve Snyder 2006-04-04 14:51:29 EDT
$ cat /etc/modprobe.conf
alias eth0 e1000
alias eth1 e100
alias scsi_hostadapter aic7xxx
alias usb-controller uhci-hcd
alias char-major-10-183 hw_random

alias snd-card-0 snd-cs46xx
options snd-card-0 index=0
options snd-cs46xx index=0
remove snd-cs46xx { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-cs46xx

alias net-pf-10 off                     # IPv6
alias ipv6      off                     # IPv6
alias char-major-10-134 off             # APM driver
Comment 5 Steve Snyder 2006-04-04 14:55:29 EDT
And the module use looks like this:

$ /sbin/lsmod
Module                  Size  Used by
nvidia               4089424  12
parport_pc             26860  1
lp                     12704  0
parport                35528  2 parport_pc,lp
video                  15108  0
button                  6672  0
battery                 9476  0
ac                      4996  0
hw_random               5912  0
snd_cs46xx             83048  1
gameport               14984  2 snd_cs46xx
snd_rawmidi            24352  1 snd_cs46xx
snd_ac97_codec         88224  1 snd_cs46xx
snd_ac97_bus            2432  1 snd_ac97_codec
snd_seq_dummy           3844  0
snd_seq_oss            31076  0
snd_seq_midi_event      7296  1 snd_seq_oss
snd_seq                49228  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          8716  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            48304  0
snd_mixer_oss          17280  1 snd_pcm_oss
snd_pcm                82692  3 snd_cs46xx,snd_ac97_codec,snd_pcm_oss
snd_timer              23300  2 snd_seq,snd_pcm
snd                    50784  12
snd_cs46xx,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9696  1 snd
snd_page_alloc         10504  2 snd_cs46xx,snd_pcm
eepro100               31120  0
e100                   35204  0
mii                     5760  2 eepro100,e100
Comment 6 Steve Snyder 2006-04-04 15:03:20 EDT
In an ideal world *none* of the 3 modules (eepro100, e100, mii) relating to the
Intel 100Mbps NIC would be loaded at boot time as this interface is not usually
in use:

$ cat /etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:30:48:23:17:76
ONBOOT=no
TYPE=Ethernet

$ /sbin/ifconfig
eth0      Link encap:Ethernet  HWaddr 00:02:B3:A9:E3:92
          inet addr:192.168.0.2  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:115109 errors:0 dropped:0 overruns:0 frame:0
          TX packets:90269 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:64623297 (61.6 MiB)  TX bytes:30200558 (28.8 MiB)
          Base address:0x9000 Memory:f4020000-f4040000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:83277 errors:0 dropped:0 overruns:0 frame:0
          TX packets:83277 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:29713863 (28.3 MiB)  TX bytes:29713863 (28.3 MiB)
Comment 7 Dave Jones 2006-09-16 22:14:10 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 17:15:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Steve Snyder 2007-05-19 11:16:41 EDT
This problem cannot be reproduced on my now fully-updated FC6 system, so it can 
be marked as Closed.
Comment 10 Jon Stanley 2008-01-19 23:39:38 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.